Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.tinak
Class ContainerTag

    java.lang.Object
      org.milyn.tinak.ContainerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ProfilesTag, SelectTag

public abstract class ContainerTag
extends java.lang.Object
implements javax.servlet.jsp.tagext.BodyTag

The abstract container tag is extended to create a tag for group other Tinak tags.

The content of this tag is delegated from one of the enclosed tags.

Author:
  tfennelly
See Also:
  `SelectTag`, `ProfilesTag`

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ContainerTag()`

Method Summary
`void` | `appendContent(java.lang.String content)` Append content to this instance.
`int` | `doAfterBody()` Process the doAfterBody event.
`int` | `doEndTag()` Process the doEnd event.
`void` | `doInitBody()` Process the doInitBody event.
`int` | `doStartTag()` Process the doStart event.
`java.lang.String` | `getContent()` Get the content which was added to this instance.
`javax.servlet.jsp.PageContext` | `getPageContext()` Get the page context.
`javax.servlet.jsp.tagext.Tag` | `getParent()` Get the tag parent tag.
`boolean` | `hasContent()` Has there been content added to this instance.
`void` | `release()` Process the release event.
`void` | `setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)` Set the body content
`void` | `setPageContext(javax.servlet.jsp.PageContext context)` Set the page context.
`void` | `setParent(javax.servlet.jsp.tagext.Tag tag)` Set the tag parent tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerTag

    public ContainerTag()

Method Detail

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

  Set the page context.

  Called by the container.

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Parameters:
    `context` - The page context.

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

  Get the page context.

  Returns:
    The page context.

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag tag)

  Set the tag parent tag.

  Called by the container.

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`
  Parameters:
    `tag` - The tag parent tag.

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Get the tag parent tag.

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    The tag parent tag.

### appendContent

    public void appendContent(java.lang.String content)

  Append content to this instance.

  Parameters:
    `content` - The content to be appended.

### getContent

    public java.lang.String getContent()

  Get the content which was added to this instance.

  Returns:
    The content contained in this tag.

### hasContent

    public boolean hasContent()

  Has there been content added to this instance.

  Returns:
    True if content has been added, otherwise false.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the doStart event.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    `BodyTag.EVAL_BODY_BUFFERED`
  Throws:
    `javax.servlet.jsp.JspException`

### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)

  Set the body content

  Specified by:
    `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`
  Parameters:
    `bodyContent` - The tag body content.

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Process the doInitBody event.

  Specified by:
    `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Throws:
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Process the doAfterBody event.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Returns:
    `Tag.SKIP_BODY`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the doEnd event.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    One of `Tag.SKIP_BODY`, `Tag.EVAL_BODY_INCLUDE`, `Tag.SKIP_PAGE`, `Tag.EVAL_PAGE`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Process the release event.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD